#!/bin/sh -


# runon.sh - Launch a task on a remote node on an OpenMosix cluster

# Author: David Santo Orcero, irbis@orcero.org, http://www.orcero.org/irbis
# (c) David Santo Orcero, all rights reserved.

# OpenMosix is (c) of Moshe Bar http://www.openmosix.com
# Each respective trademark is of its own owner
# This software is distributed under GPL 2 or later


#/* THIS SOFTWARE IS PROVIDED "AS IS". NO WARRANTY IS ASSUMED.               */
#/* NO LIABILITY OF ANY KIND FOR ANY DAMAGES WHATSOEVER RESULTING            */
#/* FROM THE USE OF THIS SOFTWARE WILL BE ACCEPTED. IT CAN BURN              */
#/* YOUR HARD DISK, ERASE ALL YOUR DATA AND BROKE DOWN YOUR                  */
#/* MICROWAVE OVEN. YOU ARE ADVISED.                                         */



case "$1" in [1-9]*) 
	node=$1  
	shift
	;; 
	*)
	echo "runon.sh - Launch a task on a remote node on an OpenMosix cluster."
	echo "Incorrect syntaxis. Must provide a node."
	exit 1
esac

case "$1" in -z)
	flag=-z
	shift
	case $# in 1) 
	echo "runon.sh - Launch a task on a remote node on an OpenMosix cluster."
	echo "Incorrect syntaxis. Must provide an argument after '-z'."
	exit 1 
	esac
esac

case $#,"$1" in *,-*|0,*) 
	echo "runon.sh - Launch a task on a remote node on an OpenMosix cluster."
	echo "Incorrect syntaxis. Must provide a process."
	exit 1

esac

exec /bin/mosrun -"$node" $flag $*




